> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.middesk.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server.

# Create an order for a business

POST https://api.middesk.com/v1/businesses/{business_id}/orders
Content-Type: application/json

Reference: https://docs.middesk.com/api-reference/business-verification/orders/create-order

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `business_id` (string, required) — Business ID

### Body (application/json)

This endpoint expects an object.

- `product` (enum, optional) — Product type for the order
  - Allowed values: `identity`, `liens`, `adverse_media`, `bankruptcies`, `business_enrichment`, `documents`, `enhanced_screenings`, `kyc`, `litigations`, `people_litigations`, `people_bankruptcies`, `people_tax_liens`, `people_ucc_liens`, `people_criminal_history`, `tin`, `website`, `business_verification_qualify`, `business_verification_verify`, `tax_liens`, `ucc_liens`, `email_risk`
- `subproducts` (list of enum, optional) — Array of subproducts
  - Allowed values: `articles_of_incorporation`, `certificate_of_good_standing`, `articles_of_incorporation_with_fallback`, `ucc_documents`, `web_analysis`, `industry_classification`
- `options` (OrderRequestParamOptions, optional) — Additional options for the order

## Response

### 201

order created

- `any`

## Errors

### 400 Create Order Request Bad Request Error

bad request - missing package

- `errors` (list of ErrorResponseErrorsItem, required)

### 422 Create Order Request Unprocessable Entity Error

unprocessable entity - reorder validation failed

- `errors` (list of ErrorResponseErrorsItem, required)

## Types

### OrderRequestParamOptions

Additional options for the order

- `person_match` (boolean, optional)

### ErrorResponseErrorsItem

- `message` (string, required)
- `parameter` (string, optional) — Request parameter associated with the error, when applicable

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "completed_at": "2025-01-07T12:05:00.000Z",
  "created_at": "2025-01-07T12:00:00.000Z",
  "id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
  "monitoring": false,
  "object": "order",
  "product": "business_verification_verify",
  "requester": {
    "name": "John Doe",
    "type": "user"
  },
  "status": "completed",
  "updated_at": "2025-01-07T12:00:00.000Z"
}
```

**SDK Code**

```python Order created
import requests

url = "https://api.middesk.com/v1/businesses/business_id/orders"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Order created
const url = 'https://api.middesk.com/v1/businesses/business_id/orders';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Order created
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.middesk.com/v1/businesses/business_id/orders"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Order created
require 'uri'
require 'net/http'

url = URI("https://api.middesk.com/v1/businesses/business_id/orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Order created
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.middesk.com/v1/businesses/business_id/orders")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Order created
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.middesk.com/v1/businesses/business_id/orders', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Order created
using RestSharp;

var client = new RestClient("https://api.middesk.com/v1/businesses/business_id/orders");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Order created
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.middesk.com/v1/businesses/business_id/orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```